### Struct

# Gimp Matrix2

#### Description [src]

    struct GimpMatrix2 {
      gdouble coeff[4];
    }

A two by two matrix.

###### Structure members

`coeff:` `gdouble`

  The coefficients.

#### Instance methods

###### gimp_matrix2_determinant

Calculates the determinant of the given matrix.

since: 2.10.16

###### gimp_matrix2_identity

Sets the matrix to the identity matrix.

###### gimp_matrix2_invert

Inverts the given matrix.

since: 2.10.16

###### gimp_matrix2_mult

Multiplies two matrices and puts the result into the second one.

###### gimp_matrix2_transform_point

Transforms a point in 2D as specified by the transformation matrix.

since: 2.10.16